> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/infra-controller/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/infra-controller/_mcp/server.

# Delete Host Firmware Config

DELETE https://nico-rest-api.nico.svc.cluster.local/v2/org/{org}/nico/firmware-config/host
Content-Type: application/json

Delete host firmware config for the org/site. The target Site is
specified by `siteId` in the request body; the configuration is
keyed by `(vendor, model)`.

User must have authorization role with `PROVIDER_ADMIN` suffix in the URL `{org}`.

Reference: https://docs.nvidia.com/infra-controller/infra-controller/rest-api-reference/api-reference/host-firmware-config/delete-host-firmware-config

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: NVIDIA Infra Controller REST API
  version: 1.0.0
paths:
  /v2/org/{org}/nico/firmware-config/host:
    delete:
      operationId: delete-host-firmware-config
      summary: Delete Host Firmware Config
      description: >-
        Delete host firmware config for the org/site. The target Site is

        specified by `siteId` in the request body; the configuration is

        keyed by `(vendor, model)`.


        User must have authorization role with `PROVIDER_ADMIN` suffix in the
        URL `{org}`.
      tags:
        - subpackage_hostFirmwareConfig
      parameters:
        - name: org
          in: path
          description: Name of the Org
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            ```

            export JWT_BEARER_TOKEN="<jwt-bearer-token>"


            # Example org name: "acme-inc

            export ORG_NAME=<org-name>


            # Use the JWT bearer token in your API request auth header:

            curl -v -X GET -H "Content-Type: application/json" -H
            "Authorization: Bearer $JWT_BEARER_TOKEN"
            https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

            ```
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Host firmware config deleted
          content:
            application/json:
              schema:
                type: object
                properties: {}
        '400':
          description: Error response when request data cannot be validated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
        '403':
          description: >-
            Error response when user is not authorized to call an endpoint or
            retrieve/modify objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
        '404':
          description: Error response when requested object is not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
        '500':
          description: Response when the API handler encounters an unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
        '503':
          description: >-
            Core gRPC API is unavailable, so the host firmware config request
            cannot be served.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HostFirmwareConfigDeleteRequest'
servers:
  - url: https://nico-rest-api.nico.svc.cluster.local
    description: Kubernetes Cluster
components:
  schemas:
    HostFirmwareConfigDeleteRequest:
      type: object
      properties:
        siteId:
          type: string
          format: uuid
          description: ID of the Site where the host firmware config is stored.
        vendor:
          type: string
          description: >-
            Hardware vendor for the configuration (for example `Nvidia`,
            `Dell`).
        model:
          type: string
          description: Hardware model for the configuration (for example `DGXH100`).
      required:
        - siteId
        - vendor
        - model
      description: Host firmware configuration delete payload.
      title: HostFirmwareConfigDeleteRequest
    NiCoApiErrorSource:
      type: string
      enum:
        - nico
      description: Source of the error.
      title: NiCoApiErrorSource
    NiCoApiErrorData:
      type: object
      properties: {}
      description: Additional data about the error
      title: NiCoApiErrorData
    NICoAPIError:
      type: object
      properties:
        source:
          $ref: '#/components/schemas/NiCoApiErrorSource'
          description: Source of the error.
        message:
          type: string
          description: Message describing the error
        data:
          oneOf:
            - $ref: '#/components/schemas/NiCoApiErrorData'
            - type: 'null'
          description: Additional data about the error
      description: Describes the error response from NVIDIA Infra Controller REST API
      title: NICoAPIError
  securitySchemes:
    JWTBearerToken:
      type: http
      scheme: bearer
      description: >-
        ```

        export JWT_BEARER_TOKEN="<jwt-bearer-token>"


        # Example org name: "acme-inc

        export ORG_NAME=<org-name>


        # Use the JWT bearer token in your API request auth header:

        curl -v -X GET -H "Content-Type: application/json" -H "Authorization:
        Bearer $JWT_BEARER_TOKEN"
        https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

        ```

```

## Examples



**Request**

```json
{
  "siteId": "00000000-0000-0000-0000-000000000001",
  "vendor": "Nvidia",
  "model": "DGXH100"
}
```

**SDK Code**

```python
import requests

url = "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/firmware-config/host"

payload = {
    "siteId": "00000000-0000-0000-0000-000000000001",
    "vendor": "Nvidia",
    "model": "DGXH100"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/firmware-config/host';
const options = {
  method: 'DELETE',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"siteId":"00000000-0000-0000-0000-000000000001","vendor":"Nvidia","model":"DGXH100"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/firmware-config/host"

	payload := strings.NewReader("{\n  \"siteId\": \"00000000-0000-0000-0000-000000000001\",\n  \"vendor\": \"Nvidia\",\n  \"model\": \"DGXH100\"\n}")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/firmware-config/host")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"siteId\": \"00000000-0000-0000-0000-000000000001\",\n  \"vendor\": \"Nvidia\",\n  \"model\": \"DGXH100\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/firmware-config/host")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"siteId\": \"00000000-0000-0000-0000-000000000001\",\n  \"vendor\": \"Nvidia\",\n  \"model\": \"DGXH100\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/firmware-config/host', [
  'body' => '{
  "siteId": "00000000-0000-0000-0000-000000000001",
  "vendor": "Nvidia",
  "model": "DGXH100"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/firmware-config/host");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"siteId\": \"00000000-0000-0000-0000-000000000001\",\n  \"vendor\": \"Nvidia\",\n  \"model\": \"DGXH100\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "siteId": "00000000-0000-0000-0000-000000000001",
  "vendor": "Nvidia",
  "model": "DGXH100"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/firmware-config/host")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```